/*
Theme Name: Astra Child GSAP
Template: astra
Description: Tema filho do Astra com integração GSAP
Author: Everton Silva - GEM Coders
Version: 1.0.0
*/
@import url("../astra/style.css");
/* Adicione aqui seus estilos personalizados */

.elementor-widget-woocommerce-menu-cart.toggle-icon--cart-solid .elementor-menu-cart__toggle .elementor-button-icon i:before {
	visibility: hidden;
}

.elementor-widget-woocommerce-menu-cart.toggle-icon--cart-solid .elementor-menu-cart__toggle .elementor-button-icon i:after {
	visibility:visible
    background-image: url("http://radicalturismo4x4.com.br/wp-content/uploads/2024/09/shopping_cart_24dp_E8EAED.png")
}

/*ICONES NO CHECKOUT*/
/*BOLETO*/
.payment_method_cod {
    background: url('http://radicalturismo4x4.com.br/wp-content/uploads/2024/11/barcode.png') no-repeat scroll right center;
}

/*CARTÃO*/
.payment_method_cheque {
	background: url('http://radicalturismo4x4.com.br/wp-content/uploads/2024/12/pagamento-com-cartao-de-credito.png') no-repeat scroll right center;
}

/*PIX*/
#payment > ul > li.wc_payment_method.payment_method_pix_gateway > label > img {
    display: none;
}
#payment > ul > li.wc_payment_method.payment_method_pix_gateway {
	background: url('https://radicalturismo4x4.com.br/wp-content/plugins/incuca-tech-pix-for-woocommerce/assets/icon-pix-green.png') no-repeat scroll right center;
	background-size: 32px;
}
#payment > ul > li.wc_payment_method.payment_method_pix_gateway > div {
	background: url('https://radicalturismo4x4.com.br/wp-content/plugins/incuca-tech-pix-for-woocommerce/assets/icon-pix-green.png') no-repeat scroll right center;
	background-size: 32px;
	
}

.gem-text {
	display: none;
}


/*WHATSAPP BTN*/
.gem-whatsapp-block {
	display: inline-block;
	position: fixed;
	bottom: 30px;
	left: 70px;
	padding: 10px;	
	z-index: 999;
}
.gem-whatsapp-button {
	position: fixed;
	bottom: 26px;
	left: 15px;
	border-radius: 60%;
	z-index: 999;
}
.gem-whatsapp-button:hover {
	cursor: pointer;
	box-shadow: 1px 3px 5px grey;
}
.gem-text{
	background-color: white;
	border-radius: 15px;
	padding: 1px 7px;
	box-shadow: 1px 2px 3px grey;
}
.gem-text:hover {
	cursor: pointer;
}
/* Ajuste do botão WhatsApp para mobile */
@media (max-width: 768px) {
	.gem-whatsapp-block {
		position: fixed;
		bottom: 10px;
		left: 2px; /* Ajuste para evitar sobreposição com outros elementos */
		z-index: 999;
		display: flex;
		align-items: center;
	}
	.gem-whatsapp-button {
		position: static;
		margin-right: 10px; /* Espaço entre o botão e o texto */
	}
}	
/* 	Carrossel	 */
.elementor-image-carousel img {
    width: 500px;
    height: 500px;
    overflow: hidden;
    object-fit: cover;
}		

body {
    overflow-x: hidden; /* Impede o scroll horizontal em toda a página */
}

/* SLIDE */
@media (max-width: 768px) {
  /* #pontos-mobile .slick-slide, */
    #pontos-mobile .swiper-slide { 
        min-height: 300px;
        border-radius: 16px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    #atributos-mobile .swiper-slide {
    	min-height: 200px;
    	display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    	gap: 24px;
    }
}
